@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import 'excel-variables.scss';
$excel-validation__result-container--border-width: $boxes--border__thin;
$excel-validation__configurable-flow-result-container--margin: $excel-popups__configurable-flow-container--margin;
$excel-validation__result-list--border-color: $grey__light--800;
$excel-validation__result-list-item--padding-x: $container-spacing-default_two-thirds;
$excel-validation__result-subtitle--font-weight: $font-weight-bold;
$excel-validation__result-subtitle--color: $validation__error--color;
$excel-validation__result-subtitle--font-size: $font-size__medium;
$excel-validation__result-subtitle-icon--size: 16px;
$excel-validation__result-subtitle-icon--bg: url("images/icon_validation_sprite.png") -32px 0 no-repeat;
$excel-validation__result-subtitle-icon--right: $excel-validation__result-list-item--padding-x + 4px;
$excel-validation__result-subtitle-container--padding: $container-spacing-default__half ($excel-validation__result-list-item--padding-x + $excel-validation__result-subtitle-icon--size) $container-spacing-default__half $excel-validation__result-list-item--padding-x;

$excel-validation__result-report--bg-color: $yellow__default;
$excel-validation__result-report--color: $blue__dark--100;
$excel-validation__result-report-hover--bg-color: $yellow__default--300;
$excel-validation__result-report--display: block;
$excel-validation__result-report--font-weight: 500;
$excel-validation__result-report--margin: 10px auto;

$excel-validation__toggle-icon--size: 16px;
$excel-validation__toggle-icon--margin-top: ceil($excel-validation__toggle-icon--size/2) * -1;
$excel-validation__toggle-icon--font-size: $font-size__h3;
$excel-validation__toggle-icon--line-height: $excel-validation__toggle-icon--font-size;
$excel-validation__toggle-icon--margin-right: 2px;
$excel-validation__toggle-icon--color: $blue__default--600;
$excel-validation__toggle-icon--font: $font-family-fontawesome;
$excel-validation__toggle-icon--content: $anglearrow__down--content;
$excel-validation__toggle-expanded-icon-content: $anglearrow__up--content;

$excel-validation__result-list-item--border: $excel-validation__result-container--border-width solid  $grey__light--800;
$excel-validation__result-list-table--mergin-bottom: $excel-validation__result-container--border-width * -1;

$excel-validation__result-list-details-header--font-weight: $excel-validation__result-subtitle--font-weight;
$excel-validation__result-list-details-header-error--color:$validation__error--color;
$excel-validation__result-list-details-header-warn--color:$validation__warn--color;
$excel-validation__result-list-details-header-info--color:$validation__info--color;
$excel-validation__result-list-details-cell--margin-top: $container-spacing-default__half;
$excel-validation__result-list-details--padding-top: 5px;
$excel-validation__result-list-details--font-size: $font-size__small;
$excel-validation__result-list-title--font-size: $font-size__base;
$excel-validation__result-list-title--font-weight: $font-weight-bold;
$excel-validation__result-list-subtitle--font-size: $font-size__small;
$excel-validation__result-list-header--padding-right: $excel-validation__toggle-icon--size + $excel-validation__toggle-icon--margin-right;